Page MenuHomeFreeBSD

Update cubic constants
ClosedPublic

Authored by kmacy on May 1 2017, 2:20 AM.

Details

Reviewers
lstewart
Commits
rS333211: cc_cubic:
Summary

newer cubic drafts change beta from 0.8 to 0.7

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

kmacy created this revision.May 1 2017, 2:20 AM
lstewart requested changes to this revision.May 4 2017, 5:06 AM
lstewart added inline comments.
sys/netinet/cc/cc_cubic.h
60

435?

65–66

Need to update this too per section 3.6 of draft.

This revision now requires changes to proceed.May 4 2017, 5:06 AM
kmacy updated this revision to Diff 28700.May 23 2017, 4:37 AM
kmacy edited edge metadata.

Update for comments

sys/netinet/cc/cc_cubic.h
60

Yeah. Not sure where 281 came from.

65–66

I assume you mean 4.6? There is no 3.6.

kmacy added a comment.May 23 2017, 4:39 AM

I updated my primary e-mail. I didn't see your update. Thanks.

lstewart accepted this revision.May 24 2017, 12:25 AM
lstewart added inline comments.
sys/netinet/cc/cc_cubic.h
65–66

Derp. Yes, 4.6.

This revision is now accepted and ready to land.May 24 2017, 12:25 AM

@lstewart our staff transport committer has moved on, would you be willing to commit this to HEAD for Matt?

kmacy added a subscriber: shurd.May 3 2018, 4:10 AM

@shurd @sbruno might one of you commit this?

Closed by commit rS333211: cc_cubic: (authored by sbruno). · Explain WhyMay 3 2018, 3:01 PM
This revision was automatically updated to reflect the committed changes.